# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Enum Query.ResultFormat

    java.lang.Object
      java.lang.Enum<Query.ResultFormat>
          com.google.gdata.client.Query.ResultFormat

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Query.ResultFormat>

Enclosing class:
  Query

    public static enum Query.ResultFormat

extends java.lang.Enum<Query.ResultFormat>

Defines all query return formats. Return format "json-xd" is not supported.

Enum Constant Summary
`ATOM`
`ATOM_IN_SCRIPT`
`ATOM_SERVICE`
`DEFAULT`
`JSON`
`JSON_IN_SCRIPT`
`JSON_XD`
`JSONC`
`JSONC_IN_SCRIPT`
`RSS`
`RSS_IN_SCRIPT`

Method Summary
`java.lang.String` `paramValue()` Returns the value to use for the "alt" parameter.
`static Query.ResultFormat` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Query.ResultFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final Query.ResultFormat DEFAULT

### ATOM

    public static final Query.ResultFormat ATOM

### RSS

    public static final Query.ResultFormat RSS

### JSON

    public static final Query.ResultFormat JSON

### JSONC

    public static final Query.ResultFormat JSONC

### ATOM_IN_SCRIPT

    public static final Query.ResultFormat ATOM_IN_SCRIPT

### RSS_IN_SCRIPT

    public static final Query.ResultFormat RSS_IN_SCRIPT

### JSON_IN_SCRIPT

    public static final Query.ResultFormat JSON_IN_SCRIPT

### JSONC_IN_SCRIPT

    public static final Query.ResultFormat JSONC_IN_SCRIPT

### JSON_XD

    public static final Query.ResultFormat JSON_XD

### ATOM_SERVICE

    public static final Query.ResultFormat ATOM_SERVICE

Method Detail

### values

    public static Query.ResultFormat[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Query.ResultFormat c : Query.ResultFormat.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Query.ResultFormat valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### paramValue

    public java.lang.String paramValue()

  Returns the value to use for the "alt" parameter.

  Returns:
    value to use for the "alt" parameter.